## attr-2.4.8.src.tar.gz

=== libattr/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2.1 of the GNU Lesser General Public License
# as published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this program; if not, write the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston MA 02111-1307,
# USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..

LTLDFLAGS = -Wl,--version-script,$(TOPDIR)/exports
include $(TOPDIR)/include/builddefs

LTLIBRARY = libattr.la
LT_CURRENT = 2
LT_REVISION = 0
LT_AGE = 1

CFILES = libattr.c syscalls.c attr_copy_fd.c attr_copy_file.c attr_copy_check.c
HFILES = libattr.h

LCFLAGS = -include libattr.h

default: $(LTLIBRARY)

include $(BUILDRULES)

install:

install-lib: default
	$(INSTALL_LTLIB)

install-dev: default
	$(INSTALL_LTLIB_DEV)

=== po/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LINGUAS = de
LSRCFILES = $(LINGUAS:%=%.po) $(PKG_NAME).pot

XGETTEXTFILES =	$(TOPDIR)/attr/attr.c \
		$(TOPDIR)/getfattr/getfattr.c \
		$(TOPDIR)/setfattr/setfattr.c \
		$(TOPDIR)/libattr/attr_copy_fd.c \
		$(TOPDIR)/libattr/attr_copy_file.c

default: $(LINGUAS:%=%.mo)

include $(BUILDRULES)

install: default
	$(INSTALL_LINGUAS)

install-dev install-lib:

=== man/man3/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ../..
include $(TOPDIR)/include/builddefs

MAN_SECTION	= 3

MAN_PAGES	= $(shell echo *.$(MAN_SECTION))
MAN_DEST	= $(PKG_MAN_DIR)/man$(MAN_SECTION)
LSRCFILES	= $(MAN_PAGES)

default install : $(MAN_PAGES)

include $(BUILDRULES)

install-dev : default
	$(INSTALL) -m 755 -d $(MAN_DEST)
	$(INSTALL_MAN)
install-lib:

=== debian/changelog ===
attr (2.4.8-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 04 Aug 2003 09:18:00 +1000

attr (2.4.7-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 29 Jul 2003 11:09:50 +1000

attr (2.4.5-1) unstable; urgency=low

  * New upstream release
  * Removed the need to always run msgmerge during the build

 -- Nathan Scott <nathans@debian.org>  Thu, 03 Jul 2003 12:47:44 +1000

attr (2.4.4-1) unstable; urgency=low

  * New upstream release
  * Fix lib package dependencies, thanks to Steve Langasek (closes: #196046)

 -- Nathan Scott <nathans@debian.org>  Wed, 04 Jun 2003 15:50:50 +1000

attr (2.4.3-1) unstable; urgency=low

  * New upstream release
  * Note: COMPAT_XFSROOT environment variable is no longer needed

 -- Nathan Scott <nathans@debian.org>  Sat, 26 Apr 2003 04:36:01 +1000

attr (2.4.0-1) unstable; urgency=low

  * New upstream release
  * Updated policy version to which this package conforms
  * Note: xfsdump and xfsrestore are affected by a change in libattr
    which deprecates the attribute name prefix "xfsroot", replacing
    it with the generic "trusted" name -- the environment variable
    COMPAT_XFSROOT can be used to obtain the old behavior

 -- Nathan Scott <nathans@debian.org>  Wed, 26 Feb 2003 16:07:57 +1100

attr (2.2.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Sat, 30 Nov 2002 12:23:15 +1100

attr (2.1.1-1) unstable; urgency=low

  * Fix the group for libattr1, was "utils" now "libs" (closes: #166836)

 -- Nathan Scott <nathans@debian.org>  Tue, 29 Oct 2002 09:29:52 +1100

attr (2.1.0-1) unstable; urgency=low

  * New upstream release, changing dev package name (closes: #141755)

 -- Nathan Scott <nathans@debian.org>  Sat, 19 Oct 2002 08:40:38 +1000

attr (2.0.12-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon,  7 Oct 2002 05:41:55 +1000

attr (2.0.11-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu,  5 Sep 2002 09:12:02 +1000

attr (2.0.9-1) unstable; urgency=low

  * New upstream release (mainly build-related changes)
  * Added system call numbers for the Alpha architecture

 -- Nathan Scott <nathans@debian.org>  Thu,  4 Jul 2002 12:10:38 +1000

attr (2.0.8-1) unstable; urgency=low

  * New upstream bugfix release

 -- Nathan Scott <nathans@debian.org>  Mon, 22 Apr 2002 15:04:53 +1000

attr (2.0.7-1) unstable; urgency=low

  * New upstream bugfix release

 -- Nathan Scott <nathans@debian.org>  Sat, 13 Apr 2002 09:45:06 +1000

attr (2.0.6-1) unstable; urgency=low

  * New upstream bugfix release

 -- Nathan Scott <nathans@debian.org>  Tue, 26 Mar 2002 15:13:49 +1100

attr (2.0.5-1) unstable; urgency=low

  * New upstream bugfix release

 -- Nathan Scott <nathans@debian.org>  Tue, 12 Mar 2002 09:31:30 +1100

attr (2.0.3-1) unstable; urgency=low

  * Major new upstream release
  * Uses the new official ext2/ext3/XFS extended attributes interfaces
  * Several system call changes - THIS WILL NOT WORK WITH OLD KERNELS!
    (because old kernels use unreserved, unofficial system calls)
  * Introduction of a new package (libattr) requested by ACL upstream
    for new POSIX ACL packages; this is in addition to the existing
    attr and attr-dev packages this source generates

 -- Nathan Scott <nathans@debian.org>  Tue, 26 Feb 2002 13:25:26 +1100

attr (1.1.3-0) unstable; urgency=low

  * New release to fix system call issue on PowerPC

 -- Nathan Scott <nathans@debian.org>  Fri,  3 Aug 2001 11:06:55 +1000

attr (1.1.2-0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 27 Jul 2001 07:59:49 +1000

attr (1.1.1-0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 23 Jul 2001 10:27:37 +1000

attr (1.1.0-0) unstable; urgency=low

  * Reworked package slightly so that its not Debian native
  * Debian-specific changes now documented in changelog.Debian.gz
  * New upstream release (see /usr/share/doc/attr/changelog.gz)
  * Checked standards compliance - update standards version to 3.5.5

 -- Nathan Scott <nathans@debian.org>  Mon, 16 Jul 2001 18:14:56 +1000

attr (1.0.4) unstable; urgency=low

  * Work around syscall number collision on recent ia64 kernels

 -- Nathan Scott <nathans@debian.org>  Mon,  2 Jul 2001 13:02:02 +1000

attr (1.0.3) unstable; urgency=low

  * Updates to man pages.

 -- Nathan Scott <nathans@debian.org>  Fri, 18 May 2001 15:47:54 +1000

attr (1.0.2) unstable; urgency=low

  * Initial release.

 -- Nathan Scott <nathans@debian.org>  Wed, 25 Apr 2001 12:19:15 +1000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: attr
Section: utils
Priority: optional
Maintainer: Nathan Scott <nathans@debian.org>
Build-Depends: autoconf, debmake, gettext, libtool
Standards-Version: 3.5.9

Package: attr
Depends: ${shlibs:Depends}
Conflicts: xfsdump (<< 2.0.0)
Architecture: any
Description: Utilities for manipulating filesystem extended attributes
 A set of tools for manipulating extended attributes on filesystem
 objects, in particular getfattr(1) and setfattr(1).
 An attr(1) command is also provided which is largely compatible
 with the SGI IRIX tool of the same name.

Package: libattr1-dev
Section: libdevel
Priority: extra
Depends: libc6-dev, attr (>= 2.0.0)
Provides: attr-dev
Replaces: attr-dev
Conflicts: attr-dev, attr (<< 2.0.0)
Architecture: any
Description: Extended attribute static libraries and headers
 attr-dev contains the libraries and header files needed to develop
 programs which make use of extended attributes.  For Linux programs,
 the documented system call API is the recommended interface, but an
 SGI IRIX compatibility interface is also provided.
 .
 Currently only ext2, ext3, JFS and XFS support extended attributes.
 The SGI IRIX compatibility API built above the Linux system calls is
 used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

Package: libattr1
Depends: ${shlibs:Depends}
Section: libs
Priority: optional
Conflicts: attr (<< 2.0.0)
Architecture: any
Description: Extended attribute shared library
 Contains the runtime environment required by programs that make use
 of extended attributes.

=== debian/rules ===
#!/usr/bin/make -f

package = attr
develop = lib$(package)1-dev
library = lib$(package)1

dirtmp = debian/tmp
dirdev = debian/$(develop)
dirlib = debian/$(library)
pkgtmp = DIST_ROOT=`pwd`/$(dirtmp); export DIST_ROOT;
pkgdev = DIST_ROOT=`pwd`/$(dirdev); export DIST_ROOT;
pkglib = DIST_ROOT=`pwd`/$(dirlib); export DIST_ROOT;
stdenv = @GZIP=-q; export GZIP;

options = DEBUG="-DNDEBUG"; OPTIMIZER="-O1 -g"; DISTRIBUTION="debian"; \
	export DEBUG OPTIMIZER DISTRIBUTION;
checkdir = test -f debian/rules

build: built
built: config
	@echo "== dpkg-buildpackage: build" 1>&2
	$(MAKE) default
	touch built

config: .census
.census:
	@echo "== dpkg-buildpackage: configure" 1>&2
	$(checkdir)
	$(options) $(MAKE) configure
	touch .census

clean:
	@echo "== dpkg-buildpackage: clean" 1>&2
	$(checkdir)
	-rm -f built .census
	$(MAKE) distclean
	-rm -rf $(dirtmp) $(dirdev) $(dirlib) debian/*substvars debian/files*

binary-indep:

# Note1: dev pkg with .so symlinks to base pkg confuses debstd;
#        so the .so 'Dangling symlink' message is benign, as is
#        the message about not having executables/libraries.
# Note2: absolute symlinks (required by policy) confuse debstd;
#        so we'll filter out symlink messages entirely now.
fixup_messages = egrep -v 'Dangling symlink|No executables or libraries'

binary-arch: checkroot built
	@echo "== dpkg-buildpackage: binary-arch" 1>&2
	$(checkdir)
	-rm -rf $(dirtmp) $(dirdev) $(dirlib)
	$(pkgtmp) $(MAKE) -C . install
	$(pkgdev) $(MAKE) -C . install-dev
	$(pkglib) $(MAKE) -C . install-lib
	$(pkgtmp) $(MAKE) -C build src-manifest
	@echo "== dpkg-buildpackage: debstd" 1>&2
	$(stdenv) debstd -m | $(fixup_messages)
	dpkg-gencontrol -isp -p$(package) -P$(dirtmp) -Tdebian/substvars
	dpkg-gencontrol -isp -p$(develop) -P$(dirdev)
	dpkg-gencontrol -isp -p$(library) -P$(dirlib) -Tdebian/$(library).substvars
	cp debian/shlibs.$(library) $(dirlib)/DEBIAN/shlibs
	chown -R root.root $(dirtmp) $(dirdev) $(dirlib)
	chmod -R go=rX $(dirtmp) $(dirdev) $(dirlib)
	dpkg --build $(dirtmp) .. 
	dpkg --build $(dirdev) ..
	dpkg --build $(dirlib) ..

binary: binary-indep binary-arch

checkroot:
	test 0 -eq `id -u`

.PHONY: binary binary-arch binary-indep clean checkroot
